Subject: Re: bug#25025: python-shell-calculate-command is wrong

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Aug 2017 17:32:10 +0300

> From: [email-masked]
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Wed, 16 Aug 2017 07:08:55 -0400
> 
> > Okay, it looks like the consensus is that we should apply the
> > `combine-and-quote-strings' fix for now, and possibly in future switch
> > to something more shell based.
> >
> > I've pushed it to master as 8f611e5e2309 "Fix bad quoting of
> > python-shell-interpreter", and I'm closing this bug.
> 
> This broke the test python-shell-calculate-command-1 on Windows.  We
> could update the test to match the new python-shell-calculate-command
> implementation, but since the test body is basically just a copy of that
> function, it looks pretty useless to me.  I think we should just remove
> that test.

Could you please elaborate about the reason(s) for the breakage of the
test?  I'm not sure I follow, and so cannot make up my mind whether I
agree with removing the test.

Thanks.